using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SCAN
{
    public partial class Form_StockManagementMenu : Form
    {
        public static Form_StockManagementMenu _Form_Instance;
        public Form_StockManagementMenu()
        {
            InitializeComponent();
        }

        private void Form_StockManagementMenu_Load(object sender, EventArgs e)
        {
            // 画面サイズ調整
            if (System.Windows.Forms.Screen.PrimaryScreen.Bounds.Width == 240)
            {
                resolution.ScreenSize.VGAtoQVGA(this);
            }

            // フォームの最大化・最小化ボタン非表示
            this.MaximizeBox = !this.MaximizeBox;
            this.MinimizeBox = !this.MinimizeBox;
            _Form_Instance = this;

            lbUser.Text = Form_Login._Form_LoginInstance.userName;
            lbDevNo.Text = Form_Login._Form_LoginInstance.DevNO;
        }

        private void btnStockCheck_Click(object sender, EventArgs e)
        {
            Form frm = new Form_StockCheck();
            frm.Show();
            this.Hide();
        }

        private void btnStocktaking_Click(object sender, EventArgs e)
        {
            Form frm = new Form_StockTaking();
            frm.Show();
            this.Hide();
        }

        private void btnChangeLocation_Click(object sender, EventArgs e)
        {
            Form frm = new Form_ChangeLocation();
            frm.Show();
            this.Hide();
        }

        private void btnBack_Click(object sender, EventArgs e)
        {
            Form_Menu._Form_MenuInstance.Show();
            this.Close();
        }
    }
}